Subject: Re: [Diffserv] EF RFC and loss

From: Panos GEVROS <[email-masked]>
Date: Fri, 05 Nov 1999 14:35:24 +0000

> > I just want to make a clarification with respect to the burstiness and
> > buffer requirements at core routers for the premium service. In
> > particular, the burstiness at an input/output port of a core router can
> > be as high as the _number_ of EF flows that share that link.
> >
> > Assume you have a router with N ports, and assume that EF traffic with
> > a burst size of M packets arrives at each input port (i.e., there are
> > M consecutive packets belonging to the EF traffic arriving at each
> > input).  Then, if the EF traffic from all inputs is going to the same
> > output, the burstiness of the EF traffic at that output will be M1 =
> > N*M.

if you think in terms of rates instead of packets is there any reason why the 
arrival process from the N input ports cannot be abstracted -from the point of 
the output interface- as a single arrival process with arrival rate the sum of 
the arrival rates of the input ports?
(in a properly engineered ef phb the input sum will be slightly less than 
service rate of the output port) and everything will work as intended ...

even if the packets appear in in Input Ports "simultaneously" they will be 
presented to the output port in sequence..

also the delay/jitter for moving packets from in->out i/faces in the router 
are orders of magnitude less compared to end to end delay so it doesn't matter
or is it very simplistic?

Panos

_______________________________________________
diffserv mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/diffserv
Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/

---

From: Panos GEVROS <[email-masked]>
Date: Mon, 15 Nov 1999 21:15:38 +0000

Panos> may i add that
 |    Panos> Wires also don't buffer packets
 |
 |  wires with large bandwidth*delay values may buffer numerous packets.
 |

after i sent it i thought it might be misunderstood

true many packets may "flow" in a large bandwidth delay product link.

imo though, the *transmitter* and the *link* seeing as queueing systems are 
not exactly the same, i have to dig more evidence to be more convincing (so if 
anyone could help) ...
once a packet makes it on the wire, how long it will take it to leave the wire 
does *not* depend on how many packets are "on the wire" in front of it, 
nothing will make it travel faster/slower, it is physics laws .. and in this 
sense i insist that:
wires do not buffer 

Cheers
Panos